| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
ODGMTProcFlowTranslatorGroup Class Reference

`#include <gmtprocflowtr.h>`

Inheritance diagram for ODGMTProcFlowTranslatorGroup:
[legend]

## Public Member Functions
| mDefEmptyTranslatorGroupConstructor (ODGMTProcFlow) const char *defExtension() const override
Public Member Functions inherited from TranslatorGroup
bool | add (Translator *)
void | clearSelHist ()
virtual const char * | defExtension () const
int | defTranslIdx () const
virtual const char * | getSurveyDefaultKey (const IOObj *=0) const
const Translator * | getTemplate (const char *, bool usrnm) const
virtual StringView | groupName () const =0
bool | hasConnType (const char *) const
virtual const IOObjContext & | ioCtxt () const =0
virtual Translator * | make (const char *, bool usrnm) const
virtual int | objSelector (const char *) const =0
| Return value mObjSelUnrelated etc.
IOPar & | selHist ()
void | setDefTranslIdx (int i)
const ObjectSet< const Translator > & | templates () const
virtual const char * | translationApplication () const
virtual uiString | typeName (int num=1) const =0
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Private Member Functions
| mTextTranslationClass (ODGMTProcFlowTranslatorGroup, ODGMTProcFlowTranslatorGroup::theInst().translationApplication()) isTranslatorGroupBody(ODGMTProcFlow)

## Additional Inherited Members
Static Public Member Functions inherited from TranslatorGroup
static TranslatorGroup & | addGroup (TranslatorGroup *)
static void | clearSelHists ()
static TranslatorGroup & | getGroup (const char *nm)
static const ObjectSet< TranslatorGroup > & | groups ()
static bool | hasGroup (const char *nm)
static const char * | sKeyTransGrp (int n=1)
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Protected Member Functions inherited from TranslatorGroup
| TranslatorGroup (const char *clssnm)
virtual | ~TranslatorGroup ()
const OD::String & | clssName () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)
Static Protected Member Functions inherited from TranslatorGroup
static ObjectSet< TranslatorGroup > & | getGroups ()
Protected Attributes inherited from TranslatorGroup
BufferString | clssname_
int | deftridx_ = 0
IOPar * | selhist_ = nullptr
ObjectSet< const Translator > | templs_

## Detailed Description

<>

## Member Function Documentation

## ◆ mDefEmptyTranslatorGroupConstructor()

ODGMTProcFlowTranslatorGroup::mDefEmptyTranslatorGroupConstructor | ( | ODGMTProcFlow |  | ) | const
| inline override

## ◆ mTextTranslationClass()

ODGMTProcFlowTranslatorGroup::mTextTranslationClass | ( | ODGMTProcFlowTranslatorGroup | ,
|  | ODGMTProcFlowTranslatorGroup::theInst().translationApplication() | )
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025